# `TangoAuthority`

digraph inheritance90760321cc { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "Logger" [URL="taurus-Logger.html#taurus.Logger",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The taurus logger class. All taurus pertinent classes should inherit"]; "TangoAuthority" [URL="#taurus.core.tango.TangoAuthority",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; "TaurusAuthority" -> "TangoAuthority" [arrowsize=0.5,style="setlinewidth(0.5)"]; "TaurusAuthority" [URL="taurus.core.taurusauthority-TaurusAuthority.html#taurus.core.taurusauthority.TaurusAuthority",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; "TaurusModel" -> "TaurusAuthority" [arrowsize=0.5,style="setlinewidth(0.5)"]; "TaurusModel" [URL="taurus.core.taurusmodel-TaurusModel.html#taurus.core.taurusmodel.TaurusModel",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; "Logger" -> "TaurusModel" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class TangoAuthority(host=None, port=None, parent=None)

  Import from `taurus.core.tango` as:

      from taurus.core.tango import TangoAuthority

  addListener(listener)
  cache()
  deviceTree()

    Returns a tree container with all devices in three levels : domain, family and member

    Returns:

      a tree containning all devices

    Return type:

      TangoDevTree

  getAliasNames()

    Returns a list of registered tango device alias

    Returns:

      a sequence with all registered tango device alias

    Return type:

      sequence<str>

  getClassNames()

    Returns a list of registered tango device classes

    Returns:

      a sequence with all registered tango device classes

    Return type:

      sequence<str>

  getDescription(**kwargs)

    Deprecated since version 4.0: Use .description instead

  getDevice(name)

    Reimplemented from `TaurusDevice` to use cache and return `taurus.core.tango.TangoDevInfo` objects with information about the given device name

    Parameters:

      name (str) – the device name

    Returns:

      information about the tango device

    Return type:

      TangoDevInfo

  getDeviceDomainNames()
  getDeviceFamilyNames(domain)
  getDeviceMemberNames(domain, family)
  getDeviceNames()

    Returns a list of registered tango device names

    Returns:

      a sequence with all registered tango device names

    Return type:

      sequence<str>

  getDisplayValue(**kwargs)

    Deprecated since version 4.0: Use getFullName instead

  getDomainDevices(domain)
  getElementAlias(full_name)

    return the alias of an element from its full name

  getElementFullName(alias)

    return the full name of an element from its alias

  getFamilyDevices(domain, family)
  getServerNameInstances(serverName)
  getServerNames()

    Returns a list of registered tango device servers in format<name>/<instance>

    Returns:

      a sequence with all registered tango device servers

    Return type:

      sequence<str>

  getTangoDB()
  getValueObj(**kwargs)

    Deprecated since version 4.0: Use getTangoDB instead

  static get_default_tango_host()
  get_device_attribute_list(dev_name, wildcard)
  refreshCache()